{% extends 'partials/layout.html.twig' %}

{% block content %}
	{% set categories = [] %}
	{% set types = [] %}
	{% set statuses = [] %}
	{% set fields = [] %}
	{% for component in page.header.custom.components %}
		{% set p = pages.find(component.page) %}

		{% for k, v in p.taxonomy.category %}
			{% set categories = categories|merge([v]) %}
		{% endfor %}
		
		{% for k, v in p.taxonomy.type %}
			{% set types = types|merge([v]) %}
		{% endfor %}
		
		{% for k, v in p.taxonomy.status %}
			{% set statuses = statuses|merge([v]) %}
		{% endfor %}
		
		{% for k, v in p.taxonomy.field %}
			{% set fields = fields|merge([v]) %}
		{% endfor %}
	{% endfor %}
	{% set categories = categories|array_unique %}
	{% set types = types|array_unique %}
	{% set statuses = statuses|array_unique %}
	{% set fields = fields|array_unique %}
	
		
	<script src="{{ url('theme://js/Filter.js') }}"></script>
	<div class="page_block">
		<div class="page_menu">
			{% include('/partials/page_header_logo.html.twig') with {'black': true} %}
			{% if page.header.custom.showLeftMenu %}
			<div class="side_menu">
				<h2 class="title">
					{{'JOBTECH.CONTENT.FIELDS_OF_FOCUS'|t}}
				</h2>
				<div>
					{% for field in fields %}
						{# <div class="menu_item" onclick="setFieldFilter({{loop.index0}}, {{json_encode(fields)}})"> #}
							<span>{{field}}</span>
					
					{% endfor %}
				</div>
			</div>
			{% endif %}
		</div>
		
		
		<div class="lg:w-1084px justify-center mx-auto">
		
			
				
			<div class="flex justify-center">	
				{% include('/partials/breadcrumbs.html.twig') %}
			</div>
			<div id="main" class="text-center">				
					<h1 class=" font-roboto_slab text-xl uppercase mt-60px mb-30px font-black">
						{{page.header.custom.title|raw}}
					</h1>
				<h2 class="mb-60px font-normal font-playfair text-18/26  lg:text-40/45 whitespace-break-spaces w-full ">{{page.header.custom.text}}</h2>
			</div>
			
			<div class="md:mx-auto mx-3 mb-60px rounded-md md:content-center md:p-10 flex-shrink " id="filter">

				
				{% include('/partials/filter_tags.html.twig') with {type:'category', 'tags': categories, 'name': 'JOBTECH.CONTENT.FILTER'|t} %}	
				{% include('/partials/filter_tags.html.twig') with {type:'type', 'tags': types} %}
				{% include('/partials/filter_tags.html.twig') with {type:'status', 'tags': statuses} %}
				
			</div>
			<div id="component_list">
				<div class=" grid grid-cols-1 lg:grid-cols-2 gap-60px lg:mx-60px lg:my-60px mb-30px mx-3">
					{% for component in page.header.custom.components %}
						{% set p = pages.find(component.page) %}
						
							{% include('/partials/component_short.html.twig') with {'page': p, 'url': component.page} %}
						
						
					{% endfor %}
				</div>
			</div>
		</div>
		
	</div>
	
{% endblock %}
